Skip to content
Start here

Deletes a category

client.cloudforceOne.threatEvents.categories.delete(stringcategoryId, CategoryDeleteParams { account_id } params, RequestOptionsoptions?): CategoryDeleteResponse { uuid }
DELETE/accounts/{account_id}/cloudforce-one/events/categories/{category_id}

Deletes a category

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One Write
ParametersExpand Collapse
categoryId: string

Category UUID.

formatuuid
params: CategoryDeleteParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
CategoryDeleteResponse { uuid }
uuid: string

Deletes a category

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const category = await client.cloudforceOne.threatEvents.categories.delete(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: 'account_id' },
);

console.log(category.uuid);
{
  "uuid": "12345678-1234-1234-1234-1234567890ab"
}
Returns Examples
{
  "uuid": "12345678-1234-1234-1234-1234567890ab"
}